commit:     0e930a6532f6df3ce4b097e9e2d72d4dfb036fe4
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 17:03:04 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 17:06:44 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e930a65

sci-libs/getdata: Version Bump

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-libs/getdata/Manifest                          |  1 +
 .../getdata/files/getdata-0.9.0-serial-test.patch  | 41 ++++++++++
 sci-libs/getdata/getdata-0.9.0.ebuild              | 95 ++++++++++++++++++++++
 3 files changed, 137 insertions(+)

diff --git a/sci-libs/getdata/Manifest b/sci-libs/getdata/Manifest
index df04fe9..62511a0 100644
--- a/sci-libs/getdata/Manifest
+++ b/sci-libs/getdata/Manifest
@@ -1 +1,2 @@
 DIST getdata-0.8.5.tar.bz2 1015954 SHA256 
ee0322c1cca62660daed7941b24d41fc902cd7989539dcba432f5514f682a64e SHA512 
3a87ea2fbaa5491ac1d6faecdf10f0a80eef62fb8beefc6103f7f18e74efd404884f100f1d123b1fec672d1a09ea2c87e75626b7c62ea56b568a11cc44feaad0
 WHIRLPOOL 
7c4566bf7a56d99d41da7d007469d85ea5194f7b7417e6c5e976397f5514f9efd2ad47476f03e050f8dc30cd5348fc02eb7aa5048b14bf62fce629d602d7d84a
+DIST getdata-0.9.0.tar.xz 920652 SHA256 
b38de059ff21df873e95978867eb82f716b89fc7e8e503e2cc7cef93d22685a2 SHA512 
28d720141e34cc56a5166594d0a6ac293144d123706988ed170e40dd9d7aaf13b920305e8bd8343ecd7cbe43eee5d83720e3e5f5d2da0cdccdc1444725cc6844
 WHIRLPOOL 
afc557f26b60edb5aa787fcff35aec2cd6b1bc599b74ddd1583b526f1c9d22e522baf093675f11c2367c42f28f236d53a1e88a7b6613acfa44f52cc277691ed2

diff --git a/sci-libs/getdata/files/getdata-0.9.0-serial-test.patch 
b/sci-libs/getdata/files/getdata-0.9.0-serial-test.patch
new file mode 100644
index 0000000..ea17e54
--- /dev/null
+++ b/sci-libs/getdata/files/getdata-0.9.0-serial-test.patch
@@ -0,0 +1,41 @@
+ bindings/Makefile.am             | 6 +-----
+ bindings/python/test/Makefile.am | 2 +-
+ 2 files changed, 2 insertions(+), 6 deletions(-)
+
+diff --git a/bindings/Makefile.am b/bindings/Makefile.am
+index ad9f0d2..9e333a5 100644
+--- a/bindings/Makefile.am
++++ b/bindings/Makefile.am
+@@ -38,10 +38,6 @@ if MAKE_MATLABBINDINGS
+ MATLAB_SUBDIR=matlab
+ endif
+ 
+-if MAKE_PYBINDINGS
+-PY_SUBDIR=python
+-endif
+-
+ if MAKE_PERLBINDINGS
+ PERL_SUBDIR=perl
+ endif
+@@ -55,7 +51,7 @@ noinst_PROGRAMS=make_parameters
+ make_parameters_SOURCES = make_parameters.c
+ nodist_make_parameters_SOURCES = ../src/getdata.h ../src/gd_config.h
+ 
+-SUBDIRS = . ${F77_SUBDIR} ${CXX_SUBDIR} ${IDL_SUBDIR} ${PY_SUBDIR} \
++SUBDIRS = . ${F77_SUBDIR} ${CXX_SUBDIR} ${IDL_SUBDIR} \
+                                       ${PERL_SUBDIR} ${MATLAB_SUBDIR} 
${PHP_SUBDIR}
+ 
+ make_parameters$(EXEEXT): $(make_parameters_SOURCES) \
+diff --git a/bindings/python/test/Makefile.am 
b/bindings/python/test/Makefile.am
+index 32d786f..f4be3de 100644
+--- a/bindings/python/test/Makefile.am
++++ b/bindings/python/test/Makefile.am
+@@ -18,7 +18,7 @@
+ # along with GetData; if not, write to the Free Software Foundation, Inc.,
+ # 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ #
+-AUTOMAKE_OPTIONS = foreign serial-tests
++AUTOMAKE_OPTIONS = foreign
+ 
+ if TEST_PYTHON
+ TESTS_ENVIRONMENT=${DL_LIBRARY_PATH}=../../../src/.libs:${${DL_LIBRARY_PATH}} 
PYTHONPATH=..:${PYTHONPATH} ${PYTHON}

diff --git a/sci-libs/getdata/getdata-0.9.0.ebuild 
b/sci-libs/getdata/getdata-0.9.0.ebuild
new file mode 100644
index 0000000..6cd783a
--- /dev/null
+++ b/sci-libs/getdata/getdata-0.9.0.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+AUTOTOOLS_AUTORECONF=true
+
+FORTRAN_STANDARD="95"
+FORTRAN_NEEDED=fortran
+
+inherit autotools-utils fortran-2 python-single-r1
+
+DESCRIPTION="Reference implementation of the Dirfile, format for time-ordered 
binary data"
+HOMEPAGE="http://getdata.sourceforge.net/";
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${PV}/${P}.tar.xz"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 debug fortran lzma python perl static-libs"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="
+       bzip2? ( app-arch/bzip2 )
+       lzma? ( app-arch/xz-utils )
+       python? ( ${PYTHON_DEPS} )
+       perl? ( dev-lang/perl )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-serial-test.patch
+       )
+
+src_configure() {
+       local myeconfargs=()
+       use perl && myeconfargs+=( --with-perl-dir=vendor )
+       myeconfargs+=(
+               --disable-idl
+               --without-libslim
+               --with-libz
+               --docdir="${EPREFIX}/usr/share/doc/${P}"
+               $(use_enable debug)
+               $(use_enable fortran)
+               $(use_enable fortran fortran95)
+               $(use_enable python)
+               $(use_enable perl)
+               $(use_with bzip2 libbz2)
+               $(use_with lzma liblzma)
+       )
+       autotools-utils_src_configure
+}
+
+src_compile() {
+       autotools-utils_src_compile
+
+       if use python; then
+               python_copy_sources
+               building() {
+                       cd "${BUILD_DIR}"/bindings/python || die
+                       sed "s:-lpython...:$(python_get_LIBS):g" -i Makefile || 
die
+                       emake \
+                               PYTHON_VERSION="${EPYTHON#python}" \
+                               
NUMPY_CPPFLAGS="-I${EPREFIX}$(python_get_sitedir)/numpy/core/include" \
+                               
PYTHON_CPPFLAGS="-I${EPREFIX}$(python_get_includedir)" \
+                               pyexecdir="${EPREFIX}$(python_get_sitedir)" \
+                               pythondir="${EPREFIX}$(python_get_sitedir)"
+               }
+               python_foreach_impl building
+       fi
+}
+
+src_install() {
+       autotools-utils_src_install
+       if use python; then
+               installation() {
+                       cd "${BUILD_DIR}"/bindings/python || die
+                       emake \
+                               DESTDIR="${D}" \
+                               PYTHON_VERSION="${EPYTHON#python}" \
+                               
NUMPY_CPPFLAGS="-I${EPREFIX}$(python_get_sitedir)/numpy/core/include" \
+                               
PYTHON_CPPFLAGS="-I${EPREFIX}$(python_get_includedir)" \
+                               pyexecdir="${EPREFIX}$(python_get_sitedir)" \
+                               pythondir="${EPREFIX}$(python_get_sitedir)" \
+                               install
+                               find \
+                                       "${ED}/$(python_get_sitedir)" \
+                                       -type f \( -name "*.a" -o -name "*.la" 
\) -delete || die
+               }
+               python_foreach_impl installation
+       fi
+}

Reply via email to